net.sf.statcvs.charts

## Class CommitScatterChartMaker

- java.lang.Object
- - net.sf.statcvs.charts.CommitScatterChartMaker

    public class CommitScatterChartMaker
    extends java.lang.Object

Produces the commit scatter chart.

Author:
  jentzsch, Richard Cyganiak (richard@cyganiak.de)

### Constructor Summary

Constructors
Constructor and Description
`CommitScatterChartMaker(ReportConfig config, int width)` Creates a new CommitScatterChartMaker.

### Method Summary

Methods
`ChartImage` `toFile()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CommitScatterChartMaker

    public CommitScatterChartMaker(ReportConfig config,
                           int width)

Creates a new CommitScatterChartMaker.

Parameters:
  `repository` - The repository to be analyzed
  `width` - The width of the chart in pixels

### Method Detail

#### toFile

    public ChartImage toFile()

Returns:
  An image file for the chart